Method: projects.locations.bindings.fetchAvailable

Fetches available Bindings.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/bindings:fetchAvailable

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, in the format projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. Page size is 500 if unspecified and is capped at 500 even if a larger value is given.

pageToken

string

Optional. A token identifying a page of results the server should return.

Required. The reference of the source Agent Registry resource. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
sourceIdentifier

string

The identifier of the source Agent. Format:

  • urn:agent:{publisher}:{namespace}:{name}
End of mutually exclusive fields.
The reference of the target Agent Registry resource. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
targetIdentifier

string

Optional. The identifier of the target Agent, MCP Server, or Endpoint. Format:

  • urn:agent:{publisher}:{namespace}:{name}
  • urn:mcp:{publisher}:{namespace}:{name}
  • urn:endpoint:{publisher}:{namespace}:{name}
End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

Message for response to fetching available Bindings.

If successful, the response body contains data with the following structure:

JSON representation
{
  "bindings": [
    {
      object (Binding)
    }
  ],
  "nextPageToken": string
}
Fields
bindings[]

object (Binding)

The list of Bindings.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.bindings.fetchAvailable

For more information, see the IAM documentation.